<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
  <title>English | Present Perfect</title>

  <!-- Bootstrap -->
  <link href="../css/bootstrap.min.css" rel="stylesheet">
  <!--Custom CSS-->
  <link href="css/style.css" rel="stylesheet">
  <!--Sarabun-->
  <link rel="stylesheet" href="../css/thsarabunnew.css">

  <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->
</head>
<body>
  <nav class="navbar navbar-default navbar-static-top">
    <div class="container">
      <div class="navbar-header">
        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
          <span class="sr-only">Toggle navigation</span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </button>
        <a class="navbar-brand" href="../index.html">English</a>
      </div>
      <div id="navbar" class="navbar-collapse collapse">
        <ul class="nav navbar-nav">
          <li><a href="../index.html">Home</a></li>
          <li><a href="../about_teacher.html">About Teacher</a></li>
        </ul>
        <!--<ul class="nav navbar-nav navbar-right">
          <li><a href="../navbar/">Default</a></li>
          <li class="active"><a href="./">Static top <span class="sr-only">(current)</span></a></li>
          <li><a href="../navbar-fixed-top/">Fixed top</a></li>
        </ul>-->
      </div><!--/.nav-collapse -->
    </div>
  </nav>
  <div class="container">
    <div>
      <h2>Unit 3 : Present Perfect Tense</h2>
    </div>
    <div class="row">
      <div class="col-xs-8 col-sm-9">
        <div class="main-content">
          <h3>โครงสร้าง</h3>
          <h4 class="text-center">ประธาน +HAVE, HAS + กริยาช่องที่ 3 </h4>
          <h3>หลักการใช้</h3>
          <p>1. ใช้กับเหตุการณ์เกิดขึ้นในอดีต ดำเนินมาจนถึงขณะนี้ และจะต่อเนื่องไปในอนาคต และจะมีสองคำนี้ประกอบอยู่ด้วย คือ<br>
          for   เป็นเวลา (กี่นาที กี่ชั่วโมง กี่วัน กี่สัปดาห์ กี่ปี)<br>
          since  ตั้งแต่ (ตั้งแต่ชั่วโมงไหน วันไหน สัปดาห์ไหน เดือนไหน ปีไหน)
          </p>
          <h4>ตัวอย่างประโยค</h4>
          <p>A boy has played football since 3 o'clock. เด็กชายเล่นฟุตบอล(แล้ว)ตั้งแต่ 3 โมง (ตอนนี้สี่โมงแล้ว น่าจะเล่นต่อถึงห้าโมงมั้ง)</p>
          <p>It has rained for three hours. ฝนตก (แล้ว) เป็นเวลา 3 ชั่วโมง (และมีแววว่าจะตกต่อไปอีก)</p>
          <p>He's worked in the garden since 8 o'clock. เขาทำงาน(แล้ว)ในสวนตั้งแต่ 8 โมงเช้า (ตอนนี้สิบโมงแล้ว มีทีท่าว่าจะทำต่อไป)</p>
          <p>She has studied English since July. หล่อนเรียน(แล้ว)ภาษาอังกฤษ ตั้งแต่เดือนกรกฎาคม (เรียนตั้งแต่เดือนกรกฎาคม ตอนนี้เดือนกันยายนแล้ว และมีแนวโน้มจะเรียนต่อไปอีก)</p>
          <p>2. ใช้กับเหตุการณ์ที่เกิดขึ้นไม่นานมานี้ และเหตุการณ์นั้นก็จบลงแล้วด้วย  มักจะมีคำเหล่านี้อยู่ด้วย</p>
          <ul>
            <li>already แล้ว</li>
            <li>just เพิ่งจะ</li>
            <li>yet ยัง</li>
          </ul>
          <h4>ตัวอย่างประโยค</h4>
          <p>She's just gone. หล่อนเพิ่งจะออกไป  ( คงถึงหน้าปากซอยได้)</p>
          <p>He's already finished his homework. เขาทำการบ้านเสร็จแล้ว (เพิ่งทำเสร็จไม่นานหรอก)</p>
          <p>Has she gone yet? หล่อนไปหรือยัง</p>
          <h3>ประโยคปฏิเสธ</h3>
          <p>ประโยคปฏิเสธก็ เอา not มาต่อท้าย have / has ก็ได้แล้ว
          <p>have not ย่อเป็น hasn't</p>
          <p>has not ย่อเป็น hasn't</p>
          <h4>ตัวอย่างประโยค</h4>
          <p>She has not studied English since July. หล่อนไม่ได้เรียนภาษาอังกฤษ ตั้งแต่เดือนกรกฎาคม</p>
          <p>He hasn't worked in the garden since 8 o'clock. เขาไม่ได้ทำงานในสวนตั้งแต่ 8 โมงเช้า</p>
          <p>I have not lived here for ten years. ฉันไม่ได้อาศัยอยู่ที่นี่ เป็นเวลา 10 ปี</p>
          <h3>ประโยคคำถาม</h3>
          <p>ประโยคคำถาม ให้เอา have, has มาวางหน้าประธานของประโยค</p>
          <h4>ตัวอย่างประโยค</h4>
          <p>Has she studied English since July? หล่อนเรียนภาษาอังกฤษ ตั้งแต่เดือนกรกฎาคมใช่ไหม</p>
          <p>Has he  worked in the garden since 8 o'clock? เขาทำงานในสวนตั้งแต่ 8 โมงเช้าใช่ไหม</p>
        </div>
      </div>
      <div class="col-xs-4 col-sm-3">
        <h3>Units</h3>
        <div class="list-group">
          <a href="tense_PreSimp.html" class="list-group-item">Present Simple</a>
          <a href="tense_PreSimpCon.html" class="list-group-item">Present Continuous</a>
          <a href="tense_PrePerf.html" class="list-group-item active">Present Perfect</a>
          <a href="tense_PrePerfCon.html" class="list-group-item">Present Perfect Continuous</a>
          <a href="tense_PastSimp.html" class="list-group-item">Past Simple</a>
          <a href="tense_PastSimpCon.html" class="list-group-item">Past Continuous</a>
          <a href="tense_PastPerf.html" class="list-group-item">Past Perfect</a>
          <a href="tense_PastPerfCon.html" class="list-group-item">Past Perfect Continuous</a>
          <a href="tense_FutSimp.html" class="list-group-item">Future Simple</a>
          <a href="tense_FutSimpCon.html" class="list-group-item">Future Continuous</a>
          <a href="tense_FutPerf.html" class="list-group-item">Future Perfect</a>
          <a href="tense_FutPerfCon.html" class="list-group-item">Future Perfect Continuous</a>
        </div>
      </div>
    </div>
  </div>
  <footer class="fluid-container">
    <p><a href="../about_teacher.html">เกี่ยวกับคุณครูผู้สอน</a></p>
    <p><a href="../about_developer.html">เกี่ยวกับผู้พัฒนาเว็บไซต์</a></p>
    <p class="text-right">เว็บไซต์นี้จัดทำโดยนักเรียนห้อง 812 กลุ่มที่ 4 รุ่น TU78&nbsp;&nbsp;&copy;&nbsp;2016</p>
  </footer>
  <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
  <!-- Include all compiled plugins (below), or include individual files as needed -->
  <script src="../js/bootstrap.min.js"></script>
  <script>
  $(function() {
    $('a[href*="#"]:not([href="#"])').click(function() {
      if (location.pathname.replace(/^\//,'') == this.pathname.replace(/^\//,'') && location.hostname == this.hostname) {
        var target = $(this.hash);
        target = target.length ? target : $('[name=' + this.hash.slice(1) +']');
        if (target.length) {
          $('html, body').animate({
            scrollTop: target.offset().top
          }, 750);
          return false;
        }
      }
    });
  });
  </script>
</body>
</html>
